wxWidgets: wxRichTextStyleDefinition Class Reference

| Version: 3.2.2

Public Member Functions | List of all members
wxRichTextStyleDefinition Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextStyleDefinition:
[legend]

## Detailed Description

This is a base class for paragraph and character styles.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions
| wxRichTextStyleDefinition (const wxString &name=wxEmptyString)
| Constructor. More...
virtual | ~wxRichTextStyleDefinition ()
| Destructor. More...
const wxString & | GetBaseStyle () const
| Returns the style on which this style is based. More...
const wxString & | GetDescription () const
| Returns the style's description. More...
const wxString & | GetName () const
| Returns the style name. More...
wxRichTextAttr | GetStyle () const
| Returns the attributes associated with this style. More...
const wxRichTextAttr | GetStyle () const
virtual wxRichTextAttr | GetStyleMergedWithBase (const wxRichTextStyleSheet *sheet) const
| Returns the style attributes combined with the attributes of the specified base style, if any. More...
void | SetBaseStyle (const wxString &name)
| Sets the name of the style that this style is based on. More...
void | SetDescription (const wxString &descr)
| Sets the style description. More...
void | SetName (const wxString &name)
| Sets the name of the style. More...
void | SetStyle (const wxRichTextAttr &style)
| Sets the attributes for this style. More...
wxRichTextProperties & | GetProperties ()
| Returns the definition's properties. More...
const wxRichTextProperties & | GetProperties () const
| Returns the definition's properties. More...
void | SetProperties (const wxRichTextProperties &props)
| Sets the definition's properties. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextStyleDefinition()

wxRichTextStyleDefinition::wxRichTextStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

## ◆ ~wxRichTextStyleDefinition()

virtual wxRichTextStyleDefinition::~wxRichTextStyleDefinition | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ GetBaseStyle()

const wxString& wxRichTextStyleDefinition::GetBaseStyle | ( |  | ) | const

Returns the style on which this style is based.

## ◆ GetDescription()

const wxString& wxRichTextStyleDefinition::GetDescription | ( |  | ) | const

Returns the style's description.

## ◆ GetName()

const wxString& wxRichTextStyleDefinition::GetName | ( |  | ) | const

Returns the style name.

## ◆ GetProperties() [1/2]

wxRichTextProperties& wxRichTextStyleDefinition::GetProperties | ( |  | ) |

Returns the definition's properties.

## ◆ GetProperties() [2/2]

const wxRichTextProperties& wxRichTextStyleDefinition::GetProperties | ( |  | ) | const

Returns the definition's properties.

## ◆ GetStyle() [1/2]

wxRichTextAttr wxRichTextStyleDefinition::GetStyle | ( |  | ) | const

Returns the attributes associated with this style.

## ◆ GetStyle() [2/2]

const wxRichTextAttr wxRichTextStyleDefinition::GetStyle | ( |  | ) | const

## ◆ GetStyleMergedWithBase()

virtual wxRichTextAttr wxRichTextStyleDefinition::GetStyleMergedWithBase | ( | const wxRichTextStyleSheet * | sheet | ) | const
| virtual

Returns the style attributes combined with the attributes of the specified base style, if any.

This function works recursively.

## ◆ SetBaseStyle()

void wxRichTextStyleDefinition::SetBaseStyle | ( | const wxString & | name | ) |

Sets the name of the style that this style is based on.

## ◆ SetDescription()

void wxRichTextStyleDefinition::SetDescription | ( | const wxString & | descr | ) |

Sets the style description.

## ◆ SetName()

void wxRichTextStyleDefinition::SetName | ( | const wxString & | name | ) |

Sets the name of the style.

## ◆ SetProperties()

void wxRichTextStyleDefinition::SetProperties | ( | const wxRichTextProperties & | props | ) |

Sets the definition's properties.

## ◆ SetStyle()

void wxRichTextStyleDefinition::SetStyle | ( | const wxRichTextAttr & | style | ) |

Sets the attributes for this style.